proxmox-vm-tools
================

Gestion de vms kvm en environnement proxmox


Prerequis
---------

- un compte de service dans le cluster proxmox
- un api token pour ce compte de service
- les droits PVEVMAdmin et PVEDatastoreUser associés au token 


Variables
---------

Exemple de variables pour setup_vm.yml

```yaml
pvmt_api_user: compte_de_service_proxmox
pvmt_api_host: fqdn_proxmox
pvmt_api_token_id: nom_du_token
pvmt_api_token_secret: le_secret_a_rallonge_du_token
pvmt_node: nom_du_noeud_proxmox
pvmt_vm_template: nom_du_template_a_cloner
pvmt_vm_id: id_de_la_vm
pvmt_vm_name: nom_de_la_vm
pvmt_vm_network: nom_du_vlan
pvmt_vm_ip: 192.168.1.1
pvmt_vm_memory: 2048
pvmt_vm_sockets: 1
pvmt_vm_cores: 2
pvmt_vm_storage: local-lvm
pvmt_vm_ciuser: svc-ansible
pvmt_vm_sshkeys: 'ssh-rsa AAA [...] 06Rnk= user@machine'
pvmt_vm_disk_grow:
  - disk: scsi1
    size: 1G
    partition: /
  - disk: scsi1
    size: 1G
    partition: /var
  - disk: scsi2
    size: 2G
    partition: /data1
```

Dependences
-----------


Exemple de playbook
--------------------


License
-------

https://www.gnu.org/licenses/gpl-3.0.fr.html


